<p id="breadcrumb">

[Home](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent) > Business Context > Business Model

</p>


# Business Model
## Context

The Digital Health Drug Repository enables health care providers to access information about their patients’ publicly
funded drugs and pharmacy services, as well as monitored drugs.

## Resource Types

The DHDR solution implements a subset of all FHIR resources. For a complete list of FHIR resources (FHIR R4), visit http://www.hl7.org/fhir/R4/resourcelist.html Resources related to this project are listed below, with their corresponding maturity levels in parentheses. The maturity level reflects the number of tested implementations for a resource, and provides implements with an indication of its stability.  

The FHIR Maturity Model (FMM) gives values from zero to five, with FMM-zero as draft status and FMM-five having greater than five production implementations. The definitions for each FMM level are abbreviated in the table below, and fully defined in Appendix C. Additional details on the FHIR Maturity Model are available at http://www.hl7.org/fhir/R4/versions.html#maturity.

<br> 

<B> Identifier Variables </B>


FMM Level | FMM Definition |
|---|:---:|:-
|FMM0 |<P ALIGN=LEFT> This level is synonymous with Draft </P>|
|FMM1 | <P ALIGN=LEFT> The responsible WG consider the artifact substantially complete and ready for implementation</P>|
|FMM2 | <P ALIGN=LEFT> The artifact has been successfully exchanged between at least three independently developed systems leveraging at least 80% of the core data elements </P>|
|FMM3|<P ALIGN=LEFT> The artifact meets Conformance Resource Quality Guidelines has been subject to formal balloting; has 10+ distinct implementer comments from 3+ organizations resulting in at least one substantive change </P>|
|FMM4 | <P ALIGN=LEFT> The artifact has been tested across its scope, formally published (e.g. Trial-Use), and implemented in multiple prototype projects </P>|
|FMM5 | <P ALIGN=LEFT> The artifact has been formally published twice and has been implemented in 5+ independent production systems in more than one country </P>|
|Normative	| <P ALIGN=LEFT> The artifact is now considered stable </P>| 

The following resources are needed for the DHDR solution:

<li> Infrastructure Resources:
<ul>
<li> Resource (Normative)</li>
<li> Domain Resource (Normative)</li>
<li> Bundle (Normative)</li>
<li> OperationOutcome (Normative) </li>
</ul>
<br>
<li> Clinical and Identification Resources:
<ul> 
<li> MedicationDispense (FMM2)</li>
<li> Patient (Normative) </li>
<li> Medication (FMM3) </li>
<li> MedicationRequest (FMM3) </li>
<li> Practitioner (FMM3) </li>
<li> Organization (FMM3) </li>
</ul>
<br>
The DHDR solution uses DHDR FHIR profiles to constrain value sets and cardinality of data elements in the resources listed above. Where FHIR R4 does not support requirements for this project, extensions will be introduced; rationale for extensions are documented in the Appendix.



## Query Functionality

In order to comply with auditing and privacy requirements, the Consumer Application should provide the following information with every request

•             Hands at the keyboard

•             Access Request Type   

•             HIC Organization responsible for enrolling the user 

•             Name of the Computer application being used by the user to access the data.
<br>
### The mandatory parameters for the query:

•	Only Patient Health Card Number is supported as an ID parameter in the current release
<br>
### The optional parameters for the query:


•   whenprepared

•	Gender

•	Birth date 
<br>

## Model 

The Digital Health Drug Repository supports the operations listed in the table below. Transactions may request Medication Dispense records by the resource ID directly. This resource ID can be stored from a prior call or retrieved via a Search Medication Dispense transaction. 

{{tree:ca-on-dhdr-r4/retrieve-medication-transaction-flow}}



## Supported Operations 

The table below shows the allowed transactions on FHIR resources and their corresponding HTTP operations:

**DHDR FHIR HTTP Operations**

| Resource	| Transaction	| HTTP Verb |	URL | Content Type |  	Request Body |Response Body | 	Document Section             |
|----------------|-------------|----------------|----------------|----------------|----------------|----------------|----------------|
| Medication Dispense |	Search | 	GET	 | [base]/[type]?[searchExpression]	|  | None	| <u>Bundle </u> | Section 4.4 | 
| Medication Dispense |	Search (alternative to GET) | 	POST	 | [base]/[type]/_search?{?_format=[mime-type]}| application/x-www-form-urlencoded  | Form data	| <u>Bundle </u> | Section 4.4 | 
| Medication Dispense	| Read	| GET	| [base]/[type]/[id] |   |None | <u> Medication Dispense</ul> | Section 4.4 |  

<br>



