<p id="breadcrumb">

[Home](https://simplifier.net/guide/fhirdhdriguide/Home) > Conformance Rules

</p>


## Conformance Rules


The contents of a resource and the formats used to represent resources SHALL conform to the rules described in FHIR specification, as defined in the narrative of the specification, and as controlled by the conformance properties defined at:

https://www.hl7.org/fhir/STU4/conformance-rules.html

Data elements defined in resources and data types have three properties that are directly related to conformance: Cardinality, Is-Modifier, and Must-Support. These interact to place conformance requirements on implementations.


## Server Conformance

In order to allow the client to be confident about what search parameters were used as criteria by the server, the server will return the parameters that were actually used to process the search. Applications processing search results SHALL check these returned values where necessary. For example, if the server did not support some of the filters specified in the search, a client might manually apply those filters to the retrieved result set, display a warning message to the user or take some other action. <br> 
In the case of a RESTful search, these parameters are encoded in the self link in the bundle that is returned:<br> 

<pre>
  &lt;link>
    &lt;relation value="self"/&gt;
    &lt;url value="[base]/MedicationDispense?patient.identifier=[id-system-global-base]/ca-on-patient-hcn|12345678"/&gt;
  &lt;/link&gt; <br>

</pre>

<ul> In other respects, servers have considerable discretion with regards to supporting search: <br> 

<li> Server will declare additional parameter search-id in the profiles referenced from their conformance statements. This search-id will be generated for each search request, logged in audit database along with the search request & search response and returned to the client, who is expected to log this in their audit database too.</li>
<li> Parameter names and URLs are case-sensitive.</li>
<li> Server will choose how many results to return, though the client can use _count as above.</li>
<li> Server will choose how to sort the return results, though it will honor the _sort parameter.</li>
</ul>
 

