<p id="breadcrumb">

[Home](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent) > Implementation Guidance > Difference between Release 2 and 3

</p>



# {{page-title}}

## HL7.org FHIR Alignment

This DHDR FHIR specification is based on the draft FHIR R4 (December 2018).
Implementers should be aware of the stability of the FHIR standard, and that the DHDR may be subject to change to remain aligned with the international published FHIR standard.


## DHDR Specification Alignment

This DHDR Implementation Guide is based on the Ontario DHDR FHIR Implementation Guide R 2 (v2.0.5). For implementers who developed their interface based on the DHDR Release 2 Implementation Guides, the changelog and differences are listed in DHDR R3 change log section.

## DHDR R3 Change Log

* Updated to FHIR R4.
* Added search by POST in addition to GET.
* Added “whenprepared” search parameter (and removed “whenhandedover” search parameter).
* Removed Patient Demographics profile: only patient information from the dispense record would be returned. DHDR consumers would get patient demographics information from PCR or from their own database.
* Changed the way 3-point validation is performed: gender & date of birth parameters are matched against PCR rather than against historical dispense records.
* Replaced references to the Terminology Worksheet with links to Infoway’s Terminology Gateway Value Sets for codes and to the Canadian URI Registry for URIs.
* Added “meta.source” data element.
* MedicationDispense profile changes:
   - added mandatory “whenPrepared” (a dispense date), changed cardinality of “whenHandedOver” to optional and changed definition of whenHandedOver to indicate that this is a pickup date rather than a dispense date;
   - pre-adopted standard FHIR MedicationDispense “refillsRemaining” & “quantityRemaining” extensions; updated “identifier” to contain the Current Rx number;
   - MedicationDispense.identifier may now identify the source pharmacy for the prescription number, system uri in the form [local-base]/ca-on-pharmacy-[Pharmacy ID]-rx-number;
   - added optional “unit”, “system” & “code” sub-elements to “quantity” for records that have this information; 
   - added “dosageInstruction” element with sub-elements for: Dosage Specification, Patient Dosage Instruction, Frequency, PRN (asNeeded) Indicator, Administrable Route, Administrable Dose.
* Medication profile changes: 
   - dded an option of using CCDD terminology in addition to DIN/PIN codes, Ontario Provincial PIN and Local Insurance PIN also newly supported; 
   - added an optional coded drug dosage form in addition to the textual one for records that have coded information;
   - added compound-indicator extension.
   - removed Medication.isBrand to align with FHIR R4
* MedicationRequest profile changes:
   - added original Rx “identifier” to replace the “identifier” definition from the previous version;
   - new mandatory element MedicationRequest.status;
   - added an option of having SNOMED CT “reasonCode” codes from the Canadian “indication for use” value set in addition to ODB reason codes for limited use drugs.
* Patient profile changes:
   - added slice for otherID for Patient.identifier, but not yet supported in the current release;
   - Patient.name.given supports 0..2 cardinality, with second repetition supporting middle name, if known;
   - removed Patient.link
   - removed Patient.active
* Removed DUR information (DetectedIssue resource)
* Consent profile changes:
   - updated data element names to align with FHIR R4
   - updated Consent purpose code;
   - changed Consent.except.action.coding.code+display value from “access” to “use”;
   - chaned Consent.except.class.system+code+display values
* Practitioner (Consent) profile changes:
   - Practitioner.identifier cardinality relaxed from 1..1 to 0..1
* Organization (Consent) profile changes:
   - Organization.name cardinality relaxed from 1..1 to 0..1
* Bundle profile changes:
   - Added Bundle.timestamp
* OperationOutcome profile changes:
   - added “expression” element, deprecated “location” element to align with FHIR R4







