<p id="breadcrumb">

[Home](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent) > Downloads

</p>

# Downloads
### Resource Profiles

Profile defining constraints on resources used in this implementation guide



| Resource | Description | Download Link |
|---------------|-----------------------|----------------------------------------------------------------------------------------------------------|---|
|
| eHealth Ontario DHDR <b> Patient  </b>         | Defines Patient Profile, including extensions, cardinality constraints, etc.                   | <a href="https://simplifier.net/ca-on-dhdr-r4/patient" target="_blank">Download XML/JSON</a>     |
| eHealth Ontario DHDR <b> Medication  </b>          | Defines Medication Profile , including extensions, cardinality constraints, etc.              |  <a href="https://simplifier.net/ca-on-dhdr-r4/medication" target="_blank">Download XML/JSON</a> |
| eHealth Ontario DHDR <b> Medication Dispense  </b>        | Defines Medication Dispense Profile , including extensions, cardinality constraints, etc.              |  <a href="https://simplifier.net/ca-on-dhdr-r4/medicationdispense" target="_blank">Download XML/JSON</a>                      
| eHealth Ontario DHDR <b> Medication Request (Prescription)  </b>        | Defines Medication Request(Prescription) , including extensions, cardinality constraints, etc.              |  <a href="https://simplifier.net/ca-on-dhdr-r4/medicationrequestprescription" target="_blank">Download XML/JSON</a>                                            
| eHealth Ontario DHDR <b> Organization - Dispensing Pharmacy </b>    | Defines Organization Dispenser Profile, including extensions, cardinality constraints, etc              |  <a href="https://simplifier.net/ca-on-dhdr-r4/organizationdispenser" target="_blank">Download XML/JSON</a> 
| eHealth Ontario DHDR <b> Practitioner - Dispenser </b>   | Defines Practitioner Dispenser Profile, including extensions, cardinality constraints, etc              |  <a href="https://simplifier.net/ca-on-dhdr-r4/practitionerdispenser" target="_blank">Download XML/JSON</a>
| eHealth Ontario DHDR <b> Practitioner - Prescriber </b>   | Defines Practitioner Prescriber Profile, including extensions, cardinality constraints, etc              |  <a href="https://simplifier.net/ca-on-dhdr-r4/practitionerprescriber" target="_blank">Download XML/JSON</a>
| eHealth Ontario DHDR <b> Bundle </b>   | Defines Bundle Profile, including extensions, cardinality constraints, etc              |  <a href="https://simplifier.net/ca-on-dhdr-r4/bundle" target="_blank">Download XML/JSON</a>
| eHealth Ontario DHDR <b> OperationOutcome </b>   | Defines OperationOutcome Profile, including extensions, cardinality constraints, etc              |  <a href="https://simplifier.net/ca-on-dhdr-r4/operationoutcome" target="_blank">Download XML/JSON</a>



### Extensions

Extensions defined by this implementation guide


| Extension | Description         | Download Link                                                                                      |
|---------------|-----------------------|----------------------------------------------------------------------------------------------------------|
| Drug Strength           | Description of the strength of a medication product when discrete amount for each ingredient is not required.         | <a href="https://simplifier.net/ca-on-dhdr-r4/medicationstrength" target="_blank">Download XML/JSON</a> |  
| Dispense Remaining Quantity          | Description of the total quantity remaining on a prescription after this dispense.         | <a href="https://simplifier.net/ca-on-dhdr-r4/dispenseremainingquantity" target="_blank">Download XML/JSON</a> | 
| Dispense Remaining Refills           | Description of the number of refills allowed or remaining after a dispensing event.         | <a href="https://simplifier.net/ca-on-dhdr-r4/dispenseremainingrefills" target="_blank">Download XML/JSON</a> | 
| Drug Compound Indicator           | Indicates whether a dispensed drug is a compound.         | <a href="https://simplifier.net/ca-on-dhdr-r4/drugcompoundindicator" target="_blank">Download XML/JSON</a> | 


### Examples

Example instances for resource profiles

| Example | Description         | Download Link                                                                                      |
|---------------|-----------------------|----------------------------------------------------------------------------------------------------------|
| Medication            | This is an example of the Medication resource, which is contained in the DHDR response.               | <a href="https://simplifier.net/ca-on-dhdr-r4/medicationexample" target="_blank" target="_blank">Download XML/JSON</a>            |
| Medication Dispence           | This is an example of the MedicationDispense resource, which is contained in the DHDR response.               | <a href="https://simplifier.net/ca-on-dhdr-r4/medicationdispense-example" target="_blank" target="_blank">Download XML/JSON</a>            |
| Bundle Medication Dispense with Contained Resources           |  This is an example of the Bundle MedicationDispense, which contains several other resources when returned in the DHDR response.          |   <a href="https://simplifier.net/ca-on-dhdr-r4/medicationdispensecontainedexample" target="_blank">Download XML/JSON</a>  |
| Bundle Medication Dispense <i>without</i> Contained Resources           |  This is an example of the Bundle MedicationDispense, which references several other resources when returned in the DHDR response.           |   <a href="https://simplifier.net/ca-on-dhdr-r4/medicationdispenseoperationexample" target="_blank">Download XML/JSON</a> |
| Medication Request (Prescription)           |  This is an example of a MedicationRequest resource (i.e. a prescription), which would be contained in the DHDR response.          |   <a href="https://simplifier.net/ca-on-dhdr-r4/medicationrequestexample" target="_blank">Download XML/JSON</a>   |
| Organization (Dispensing Pharmacy)           |  This is an example of an Organization resource (e.g. a dispensing pharmacy), which would be contained in the DHDR response.         |   <a href="https://simplifier.net/ca-on-dhdr-r4/organizationdispensingpharmacyexample" target="_blank">Download XML/JSON</a>   |
| Patient          |  This is an example of a Patient resource which would be contained in the DHDR response.          |   <a href="https://simplifier.net/ca-on-dhdr-r4/patientexample" target="_blank">Download XML/JSON</a>      |
| Practitioner (Dispensing Pharmacist)           |  This is an example of a Practitioner resource (i.e. a dispensing pharmacist), which would be contained in the DHDR response.          |   <a href="https://simplifier.net/ca-on-dhdr-r4/practitionerdispenserexample" target="_blank">Download XML/JSON</a>         |
| Practitioner (Prescriber)           |  This is an example of a Practitioner resource (i.e. a prescriber), which would be contained in the DHDR response.          |   <a href="https://simplifier.net/ca-on-dhdr-r4/practitionerprescriberexample" target="_blank">Download XML/JSON</a>   |
| Bundle          |  This is an example of a Bundle resource, which contains several other resources.         |   <a href="https://simplifier.net/ca-on-dhdr-r4/bundlesearch-example" target="_blank">Download XML/JSON</a>   |
| OperationOutcome          |  This is an example of an OperationOutcome resource, which would be contained in the DHDR response.          |   <a href="https://simplifier.net/ca-on-dhdr-r4/operationoutcomesearch-example" target="_blank">Download XML/JSON</a>   |
| OperationOutcome (Consent Block)          |  This is an example of an OperationOutcome resource with Consent Block, which would be contained in the DHDR response.          |   <a href="https://simplifier.net/ca-on-dhdr-r4/operationoutcomeconsent-example" target="_blank">Download XML/JSON</a>   |
| OperationOutcome (Temporary Consent Unblock)          |  This is an example of an OperationOutcome resource with temporary consent applied, which would be contained in the DHDR response.          |   <a href="https://simplifier.net/ca-on-dhdr-r4/operationoutcomeconsentunblock-example" target="_blank">Download XML/JSON</a>   |