<p id="breadcrumb">

[Home](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent) > Identifier Policy

</p>


# Identifier Policy

The DHDR project uses URIs whenever Object Identifiers are required. URIs (Uniform Resource Identifiers) are globally unique identifiers for individual objects, as well as for value sets, code systems, profiles, namespaces, and more. URIs are the preferred object identifiers for FHIR objects and are usually represented as URLs. All OIDs and URIs used in Ontario Health Digital Services projects must conform to Ontario Health Digital Service’s OID and URI Management Policy <br> 

For more information, or to obtain the proper OIDs and URLs for use in this project, contact the Ontario Health Digital Services Standards Team at architecture@ehealthontario.on.ca <br> 

These identifiers capture the URI specific to an implementation/environment, such as the URL for resources and extensions used in the DHDR solution.<br>
The base URL for DHDR FHIR interface will be referred to as <b>“[base]”</b> in the sections and examples below. Please note that base URL might change over time.<br> The base for global identifier namespaces will be referred to as <b>"[id-system-global-base]"</b> in the sections and examples below. <br> The base for local identifier namespaces (e.g. dispense identifiers, prescription numbers, etc.) will be referred to as <b>“[id-system-local-base]”</b> in the sections and examples below.<br> The base for local code systems (e.g. Ontario drug types) will be referred to as <b>“[code-system-local-base]”</b> in the sections and examples below.<br> 

Due to the evolving FHIR standard and its developing framework and governance, implementers should recognize that these identifiers may change if identifier registration becomes governed nationally or internationally. Implementers are recommended to implement URIs using configurable variables.


**Identifier Variables**


|Variable|Value|
|-
|[base]|	Please refer to Ontario Health Provider Gateway documentation |
|[base-structure]| https://ehealthontario.ca/fhir/StructureDefinition |
|[id-system-global-base]| https://fhir.infoway-inforoute.ca/NamingSystem | 
|[code-system-local-base]| https://ehealthontario.ca/fhir/NamingSystem |
|[id-system-local-base] | http://ehealthontario.ca/fhir/NamingSystem |