<p id="breadcrumb">

[Home](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent) > Terminology > Identifiers

</p>

## Identifiers

<h3>Global base URIs</h3>


| URI | Description         |                                                                                      
---------------|-----------------------|
| http://snomed.info/sct        |  SNOMED CT (not currently used in specification)        |
| http://hl7.org/fhir/NamingSystem/ca-hc-din          | Health Canada Drug Identification Number      |
| http://hl7.org/fhir/sid/icd-10-ca          | ICD-10-CA (Reason or indication for writing the prescription, not in scope for current release)      |
| http://hl7.org/fhir/sid/icd-9-cm     | ICD-9-CM (Reason or indication for writing the prescription, not in scope for current release)      |
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-health-care-organization-id       | Ontario Organization Identifiers assigned by the Ministry of Health         |
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-ohip-billing-id        |Ontario OHIP Billing Number assigned by MOHLTC         |
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-provider-upi       |  Unique identifier assigned by eHealth Ontario to providers and organizations        |
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-patient-hcn          | Ontario, Canada Personal Health Number                | 
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-driver          | Ontario, Canada MTO (Ministry of Transportation of Ontario, Canada) Driver's License      |
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-physician        |  Ontario, Canada CPSO License Number          |    
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-physiotherapist         |  College of Physiotherapists of Ontario Licence Number |
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-optician          | College of Opticians of Ontario Licence Number
https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-chiropractor         |  College of Chiropractors of Ontario Licence Number         |   
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-optometrist         |  College of Optometrists of Ontario Licence Number          |                        
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-naturopath         |  College of Naturopaths of Ontario    |                        
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-registration-audiologist-speech-language-pathologist        |  College of Audiologists and Speech-Language Pathologists of Ontario Licence Number          |                        
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-dental-hygienist         |  College of Dental Hygienists of Ontario Licence Number         |                        
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-denturist        |  College of Denturists of Ontario Licence Number         |                        
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-dietitican         |  Canada, Ontario, College of Dietitians Licence Number         |                        
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-dental-technologist         |  College of Dental Technologists of Ontario Licence Number          |                        
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-registration-medical-laboratory-technologist       |  College of Medical Laboratory Technologists of Ontario Licence Number      | 
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-midwife         |  College of Midwives of Ontario Licence Number         |    
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-registration-medical-radiation-techologist         |  College of Radiation Technologists of Ontario Licence Number         |   
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-massage-therapist         |  College of Massage Therapists of Ontario License Number         |   
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-nurse         |  College of Nurses of Ontario Licence Number         |   
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-registration-occupational-therapist         |  College of Occupational Therapists of Ontario Licence Number         |   
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-registration-respiratory-therapist         |  College of Respiratory Therapists in Ontario Licence Number         |   
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-registration-traditional-chinese-medicine-acupuncturist         |  College of Traditional Chinese Medicine Practitioners and Acupuncturists of Ontario Licence Number.         |   
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-pharmacist         |  Ontario College of Pharmacists Licence Number |   
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-registration-social-worker-social-service-worker         |  Ontario College of Social Workers and Social Service Workers Licence Number         |   
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-license-dental-surgeon         |  Royal College of Dental Surgeons of Ontario Licence Number         |   
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-registration-homeopath         |  College of Homeopaths of Ontario         | 
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-registration-kinesiologist         |  College of Kinesiologists of Ontario       |
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-registration-psychotherapist        |  College of Registered Psychotherapists of Ontario         |
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-registration-chiropodist        |  College  of Chiropodists of Ontario         |
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-registration-osteopath       |  Osteopathic College of Ontario        |
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-registration-psychologist        |  College of Psychologists of Ontario Licence Number        |
| https://fhir.infoway-inforoute.ca/NamingSystem/ca-on-pharmacy-id-ocp        |  Ontario College of Pharmacists Pharmacy ID        |


<h3>Local base URIs</h3>

| URI | Description         |                                                                                      
---------------|-----------------------|
| http://ehealthontario.ca/fhir/NamingSystem/ca-drug-gen-name          |  Drug Generic Name, from ODB Formulary Edition 42|
| http://ehealthontario.ca/fhir/NamingSystem/ca-on-drug-class-ahfs           | Therapeutic Classification, based on American Hospital Formulary Service (AHFS)                   | 
| http://ehealthontario.ca/fhir/NamingSystem/ca-on-drug-odb-prescription-reason         | Ontario Drug Benefits Prescription Reason Code, from ODB Formulary Edition 42     |   
| http://ehealthontario.ca/fhir/NamingSystem/ca-on-drug-subclass-ahfs         |  Therapeutic Sub-Classification, based on American Hospital Formulary Service (AHFS)                 | 

<br>

<h3>Structured Definition Base URIs </h3>

| URI | Description         |                                                                                      
---------------|-----------------------|
| http://ehealthontario.ca/fhir/StructureDefinition/ca-on-medications-ext-quantity-remaining           | DHDR FHIR Extension for dispense remaining quantity             | 
| http://ehealthontario.ca/fhir/StructureDefinition/ca-on-medications-ext-refills-remaining           | DHDR FHIR Extension for dispense remaining refills             | 
| http://ehealthontario.ca/fhir/StructureDefinition/ca-on-medications-ext-compound-indicator           | DHDR FHIR Extension for dispensed drug compound indicator           | 
| http://ehealthontario.ca/fhir/StructureDefinition/ca-on-medications-ext-medication-strength          | DHDR FHIR Extension for medication strength in text form             | 
| http://ehealthontario.ca/fhir/StructureDefinition/ca-on-medications-profile-Medication          | DHDR FHIR Profile of the Medication Resource             | 
| http://ehealthontario.ca/fhir/StructureDefinition/ca-on-medications-profile-MedicationDispense          | DHDR FHIR Profile of the MedicationDispense Resource             |
| http://ehealthontario.ca/fhir/StructureDefinition/ca-on-medications-profile-Organization-dispenser          | DHDR FHIR Profile of the Organization (Dispenser) Resource             |
| http://ehealthontario.ca/fhir/StructureDefinition/ca-on-medications-profile-Patient-dispense        | DHDR FHIR Profile of the Patient Resource             |
| http://ehealthontario.ca/fhir/StructureDefinition/ca-on-medications-profile-Practitioner-dispenser        | DHDR FHIR Profile of the Practitioner Dispenser Resource             |
| http://ehealthontario.ca/fhir/StructureDefinition/ca-on-medications-profile-Practitioner-prescriber        | DHDR FHIR Profile of the Practitioner Precriber Resource             |
| http://ehealthontario.ca/fhir/StructureDefinition/ca-on-medications-profile-MedicationRequest |DHDR FHIR Profile for the MedicationRequest (Prescription) Resource |
| http://ehealthontario.ca/fhir/StructureDefinition/ca-on-medications-profile-Bundle |DHDR FHIR Profile for the Bundle Resource |
| http://ehealthontario.ca/fhir/StructureDefinition/ca-on-medications-profile-OperationOutcome |DHDR FHIR Profile for the OpertionOutcome Resource |


