<p id="breadcrumb">

[Home](https://simplifier.net/guide/fhirdhdriguide/Home) > Introduction 

</P> 


## Introduction

**Background**

The Digital Health Drug Repository (DHDR) was established to improve the quality of care Ontarians receive by providing frontline clinicians with integrated clinical access to a comprehensive dispensed medication and pharmacy service profile for their patients. Having an electronic, comprehensive medication profile at their fingertips empowers clinicians to deliver the best possible health care, and the health system is more digitally-enabled to operate more efficiently.

The records currently available include dispensing information about publicly funded drugs and pharmacy services, as well as all dispensed monitored drugs, regardless of payor. The DHDR will be expanded to include dispensing information contributed directly from Pharmacy Management Systems, regardless of whether the drugs were publicly funded, paid for directly by patients or by private insurers.

The DHDR offers web services for integration through Clinical Viewers, and plans will continue to develop to integrate the DHDR with other Point of Care systems, such as Electronic Medical Records and Hospital Information Systems.

The DHDR supports the long-term vision of ‘All Drugs, All People’ to provide a comprehensive record for all Ontarians that assists health care providers in establishing the Best Possible Medication History for their patients. Through this vision, health care providers can improve clinical decision making and provide better patient care.

More information regarding health care provider access to drug and pharmacy service information can be found at: www.ontario.ca/mydruginfo


## Copyright Notice

This specification is fully copyright protected by the owner. The owner has the exclusive right to make copies of this specification. No alterations, deletions or substitutions may be made without the prior written consent of the owner. No part of it may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopy, email or any information storage and retrieval system, without the prior written consent of the owner.

HL7® is registered trademark of Health Level Seven, Inc. (http://www.hl7.org) This specification contains information for which copyright is held by Health Level Seven, Inc. Implementors of the standards (those developing software or otherwise making use of the specification) are required to be members of either Health Level Seven Inc., HL7 Canada or one of the other HL7 affiliates. There is no such membership requirement for individuals and organizations which merely install or use software with built-in HL7 interfaces.

LOINC® is a registered trademark of the Regenstrief Institute, Inc. (http://regenstrief.org)

This material includes SNOMED Clinical Terms® (SNOMED CT®) (https://www.snomed.org/snomed-ct/) which is used by permission SNOMED International. All rights reserved. SNOMED CT®, was originally created by The College of American Pathologists.

“SNOMED” and “SNOMED CT” are registered trademarks of the SNOMED International (https://www.snomed.org/) .

**Disclaimer**

This specification contains proprietary and confidential information of Ontario Health Digital Services (OHDS). This specification is offered to you on the condition that you accept these terms and conditions without modification. Any dissemination or distribution of this specification or any copies thereof to any third party without OHDS's prior written consent is strictly prohibited.

OHDS has prepared this specification for its own use and provides it to you for information purposes only. You understand that the information in this specification may be subject to change at any time and that OHDS cannot be responsible for the completeness, currency, accuracy or applicability of this specification, or any information contained in it, to your needs or the needs of any other party. You understand and agree that:

(i) you are solely responsible for determining whether any information in this specification is applicable to your needs;

(ii) any access, use or reliance on any information in this specification is at your sole and exclusive risk;

(iii) this specification is provided “AS IS” without any warranties or representations of any kind, express or implied, in fact or in law;

(iv) Ontario Health Digital Services is not responsible for your use or reliance on the information in this specification or any costs associated with such use or reliance; and

(v) Ontario Health Digital Services has no liability to any party for that party’s access, use or reliance on this specification or any of the information contained in it.

**Document Control**

The electronic version of this specification is recognized as the only valid version.

**Approval History**

|APPROVER(S)|	APPROVED DATE
|-
||YYYY-MM-DD|

**Revision History**

|VERSION NO.    |DATE   |SUMMARY OF CHANGE  |CHANGED BY|
|-
|v0.1|2016-08-18| Initial Draft, based on DHDR v0.3.3 Specification |Ontario Health Digital Services <br> MOHLTC|
|v0.2|2016-08-23|Updated content for Use Cases, Ontario Health Digital Services | Ontario Health Digital Services| 
|v0.3|2016-08-24| Completed content for Use Cases<br>Formatting Consistency |Ontario Health Digital Services|
|v0.4|2016-08-29| Formatting Indentation<br>Table Labels<br>DHDR Spec Alignment<br>FHIR Version Alignment<br>BRD References<br>FHIR Definitions|Ontario Health Digital Services<br>MOHLTC|
|v1.0|2016-09-08| Finalized for Distribution|Ontario Health Digital Services|
|v1.1|2016-10-31| Updated dispense identifier to support NMS data.<br> Updated examples and data elements’ comments.|Ontario Health Digital Services <br>MOHLTC|
|v1.2|2016-11-28| Version change to align w/ terminology worksheet <br> Change to Consent SDM value to, to reflect DHDR initial release |Ontario Health Digital Services|
|v1.2.1	|2017-04-12| Corrected cardinalities to align with DHDR v0.4 specification: <br><blockquote> <font size="2.5">MedicationDispense.whenHandedOver (1..1)<br>Medication.code.coding.drugSubclass.display(0..1)</font></blockquote> Corrected description for:<blockquote> <font size="2.5">MedicationOrder.prescriber: “…individual responsible for prescribing  ...”</font></blockquote> Corrected comment for: <blockquote> <font size="2.5"> Practitioner.telecom.system: “ValueSet: “phone” or “fax” only (ValueSet previously defined in wrong row “telecom.value”)</font></blockquote> Updated Appendix B to reflect latest revisions; removed Change Log from Appendix B due to outdated content</font></blockquote> |Ontario Health Digital Services|
|v2.0.0|2017-06-22|Updated to align with FHIR STU3 (v3.0.1) <br><blockquote> <font size="2.5"> Renamed MedicationOrder resource to MedicationRequest <br>Replaced Contract resource (ConsentDirective profile) with Consent resource <br>Replaced DUR related extensions with DetectedIssue profiles<br>Added fax numbers to practitioner and organization<br>Updated and validated examples<br>Separated dispense Practitioner  profile into separate Prescriber and Dispenser profiles</font></blockquote> Additional Details available in Appendix B: DHDR R2 Change Log|	Ontario Health Digital Services<br>MOHLTC|
|v2.0.1|2017-08-09| Updates in accordance with the dispositions of the comments received during the open review.| Ontario Health Digital Services <br>MOHLTC|
|v2.0.2|2017-09-28| Changed cardinality of patient & practitioner names for consent unblock from optional to required.<br>Added a text RelatedPerson relationship element when consent unblock is provided by an extended family member| MOHLTC|
|v2.0.3| 2018-03-16| Updated value set and examples of MedicationDispense.category to distinguish between dispenses of drugs/devices and pharmacy services.<br> Updated mime format from “json+fhir” & “xml+fhir” to “fhir+json” & “fhir+xml” (FHIR DSTU2 to STU3 change).<br> Updated sorting syntax from “:desc” qualifier to “-“ prefix (STU3 change). <br> Updated Patient Id search parameter from patient:patient.identifier to patient.identifier.<br> Changed whenandedover search parameter to lowercase (the element is still whenHandedOver in the resource).<br> Added a note that DetectedIssue.implicated is not used in the current release.<br> Added a note that DetectedIssue.severity (for DetectedIssue-dur-message-nms profile) is not used in the current release.<br> Relaxed cardinality of MedicationDispense.performer from 1..2 to 0..2 to accommodate dispense records where pharmacy is unknown, e.g. HNS Receipt.<br> Updated RelatedPerson.relationship.text element to be used for Extended Family or Sibling (previously only Extended Family)<br> Updated section title for 4.4.3.2 to Patient Demographics Profile, to match the profile name| MOHLTC| 
|v2.0.4|2018-08-10|For Consent, relaxed cardinality of Practitioner.identifier and Organization.name from 1..1 to 0..1 with a note describing when these elements are supposed to be populated. <br> Added an example of OperationOutcome indicating that some information is presented due to a temporary consent unblock.| MOHLTC| 
|v2.0.5|2018-10-30|Removed Patient Demographics profile: only patient information from the dispense record would be returned (DHDR consumers would get patient demographics information from PCR or from their own database). <br> Changed the way 3-point validation is performed: gender & date of birth parameters are matched against PCR rather than against historical dispense records.| MOHLTC|
|v3.0.0	|2019-03-29| Updated to FHIR R4. <br> Updated to address requirements for new data elements. <br> Added search by POST in addition to GET. <br> Added “whenprepared” search parameter (and removed “whenhandedover” search parameter). <br> Replaced references to the Terminology Worksheet with links to Infoway’s Terminology Gateway Value Sets for codes and to the Canadian URI Registry for URIs.<br> Added “source” extension to meta data to indicate a source of MedicationDispsense. <br> <br> MedicationDispense profile changes: added mandatory “whenPrepared” (a dispense date), changed cardinality of “whenHandedOver” to optional and changed definition of whenHandedOver to indicate that this is a pickup date rather than a dispense date; <br> Added “refillsRemaining” & “quantityRemaining” extensions; <br> Updated “identifier” to contain the Current Rx number; <br> Added optional “unit”, “system” & “code” sub-elements to “quantity” for records that have this information; <br> Added “dosageInstruction” element with sub-elements for: Dosage Specification, Patient Dosage Instruction, Frequency, PRN (asNeeded) Indicator, Administrable Route, Administrable Dose. <br> <br> Medication profile changes: <br> Added an option of using CCDD terminology in addition to DIN/PIN codes; <br> Added an optional coded drug dosage form in addition to the textual one for records that have coded information, <br> Added compound-indicator extension. <br><br>MedicationRequest profile changes: <br> Added original Rx “identifier” to replace the “identifier” definition from the previous version; <br> Added an option of having SNOMED CT “reasonCode” codes from the Canadian “indication for use” value set in addition to ODB reason codes for limited use drugs. <br> <br> OperationOutcome profile changes: Added “expression” element, deprecated “location” element. <br> <br>  Removed DUR information (DetectedIssue). <br> Added Bundle.timestamp. <br> Updated Consent purpose code. <br> Updated examples.| MOHLTC| 
|v3.0.1	|2019-06-11| Removed references to requirements documents in section 1.5.<br> Corrected previous wording of MedicationRequest profile changes in the change log – “identifier” is not sliced.	| MOHLTC|
|v3.0.2| 2019-08-26| Updated Ontario logo. <br> Corrected OperationOutcome search example.<br> Added Appendix E Integration Traceability. | MOHLTC|
|v3.0.3	| 2019-09-12| Corrected severity in OperationOutcome consent block example in section 5.3.2.	| MOHLTC| 
|v3.0.4| 2020-01-08| Replaced Instances of “eHealth Ontario” with “Ontario Health Digital Services”, and “eHO” with “OHDS” <br> Changed “HL7 FHIR R4 (Dec 2018 Build, v4.0.0)” “HL7 FHIR R4 (First Normative Content, v4.0.1)” <br> Added “EMPI” to Acronyms table <br> Replace instances of “eHealth Ontario Gateway” with “Ontario Health Provider Gateway”, and “eHO Gateway” with “OH Provider Gateway” <br> Changed refills remaining and quantity remaining extensions to the [base-structure] namespace, as all other extensions are defined, i.e. http://ehealthontario.ca/fhir/StructureDefinition <br> Add Example with Contained Resources in appendix <br> Editorial clarification on Page 19 and 22 <br> Removed HTTP codes that are not specific to the DHDR on page 66.<br> Change value set for route of administration| MOHLTC| 



