<p id="breadcrumb">

[Home](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent) > Introduction 

</P> 


# Introduction

## Background

The Digital Health Drug Repository (DHDR) was established to improve the quality of care Ontarians receive by providing frontline clinicians with integrated clinical access to a comprehensive dispensed medication and pharmacy service profile for their patients. Having an electronic, comprehensive medication profile at their fingertips empowers clinicians to deliver the best possible health care, and the health system is more digitally-enabled to operate more efficiently.

The records currently available include dispensing information about publicly funded drugs and pharmacy services, as well as all dispensed monitored drugs, regardless of payor. The DHDR will be expanded to include dispensing information contributed directly from Pharmacy Management Systems, regardless of whether the drugs were publicly funded, paid for directly by patients or by private insurers.

The DHDR offers web services for integration through Clinical Viewers, and plans will continue to develop to integrate the DHDR with other Point of Care systems, such as Electronic Medical Records and Hospital Information Systems.

The DHDR supports the long-term vision of ‘All Drugs, All People’ to provide a comprehensive record for all Ontarians that assists health care providers in establishing the Best Possible Medication History for their patients. Through this vision, health care providers can improve clinical decision making and provide better patient care.

More information regarding health care provider access to drug and pharmacy service information can be found at: www.ontario.ca/mydruginfo


## Copyright Notice

This specification is fully copyright protected by the owner. The owner has the exclusive right to make copies of this specification. No alterations, deletions or substitutions may be made without the prior written consent of the owner. No part of it may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopy, email or any information storage and retrieval system, without the prior written consent of the owner.

HL7® is registered trademark of Health Level Seven, Inc. (http://www.hl7.org) This specification contains information for which copyright is held by Health Level Seven, Inc. Implementors of the standards (those developing software or otherwise making use of the specification) are required to be members of either Health Level Seven Inc., HL7 Canada or one of the other HL7 affiliates. There is no such membership requirement for individuals and organizations which merely install or use software with built-in HL7 interfaces.

LOINC® is a registered trademark of the Regenstrief Institute, Inc. (http://regenstrief.org)

This material includes SNOMED Clinical Terms® (SNOMED CT®) (https://www.snomed.org/snomed-ct/) which is used by permission SNOMED International. All rights reserved. SNOMED CT®, was originally created by The College of American Pathologists.

“SNOMED” and “SNOMED CT” are registered trademarks of the SNOMED International (https://www.snomed.org/) .

**Disclaimer**

This specification contains proprietary and confidential information of Ontario Health Digital Services (OHDS). This specification is offered to you on the condition that you accept these terms and conditions without modification. Any dissemination or distribution of this specification or any copies thereof to any third party without OHDS's prior written consent is strictly prohibited.

OHDS has prepared this specification for its own use and provides it to you for information purposes only. You understand that the information in this specification may be subject to change at any time and that OHDS cannot be responsible for the completeness, currency, accuracy or applicability of this specification, or any information contained in it, to your needs or the needs of any other party. You understand and agree that:

(i) you are solely responsible for determining whether any information in this specification is applicable to your needs;

(ii) any access, use or reliance on any information in this specification is at your sole and exclusive risk;

(iii) this specification is provided “AS IS” without any warranties or representations of any kind, express or implied, in fact or in law;

(iv) Ontario Health Digital Services is not responsible for your use or reliance on the information in this specification or any costs associated with such use or reliance; and

(v) Ontario Health Digital Services has no liability to any party for that party’s access, use or reliance on this specification or any of the information contained in it.

**Document Control**

The electronic version of this specification is recognized as the only valid version.

**Approval History**

|APPROVER(S)|	APPROVED DATE
|-
||YYYY-MM-DD|

