## Resource Types

The DHDR solution implements a subset of all FHIR resources. For a complete list of FHIR resources (FHIR v3.0.1) visit http://www.hl7.org/fhir/STU3/resourcelist.html Resources related to this project are listed below, with their corresponding maturity levels in parentheses. The maturity level reflects the number of tested implementations for a
resource, and provides implements with an indication of its stability. 

The FHIR Maturity Model (FMM) gives values from zero to five, with FMM-zero as draft status and FMM-five having greater than five production implementations. The definitions for each FMM level are abbreviated in the table below, and fully defined in Appendix C. Additional details on the FHIR Maturity Model are available at http://www.hl7.org/fhir/2016May/resource.html#maturity.

<br> 

<B> Table 4 Identifier Variables </B>


FMM Level | FMM Definition |
|---|:---:|:-
|FMM0 |<P ALIGN=LEFT> This level is synonymous with Draft </P>|
|FMM1 | <P ALIGN=LEFT> The responsible WG consider the artifact substantially complete and ready for implementation</P>|
|FMM2 | <P ALIGN=LEFT> The artifact has been successfully exchanged between at least three independently developed systems leveraging at least 80% of the core data elements </P>|
|FMM3|<P ALIGN=LEFT> The artifact meets STU Quality Guidelines; has been subject to formal balloting; has 10+ distinct implementer comments from 3+ organizations resulting in at least one substantive change </P>|
|FMM4 | <P ALIGN=LEFT> The artifact has been tested across its scope, formally published (e.g. STU), and implemented in multiple prototype projects </P>|
|FMM5 | <P ALIGN=LEFT> The artifact has been formally published twice and has been implemented in 5+ independent production systems in more than one country </P>|

The following resources are needed for the DHDR solution:
<ul>
<li> Infrastructure Resources:
<ul>
<li> Resource (FMM5)</li>
<li> Domain Resource (FMM5)</li>
<li> Bundle (FMM5)</li>
<li> OperationOutcome (FMM5) </li>
</ul>
<br>
<li> Clinical and Identification Resources:
<ul> 
<li> MedicationDispense (FMM2)</li>
<li> Patient (FMM5) </li>
<li> Medication (FMM3) </li>
<li> MedicationRequest (FMM3) </li>
<li> Practitioner (FMM3) </li>
<li> Organization (FMM3) </li>
<li> Consent (FMM1) </li>
<li> RelatedPerson (FMM2) </li>
<li> DetectedIssue (FMM1) </li>
</ul>
<br>
The DHDR solution uses DHDR FHIR profiles to constrain value sets and cardinality of data elements in the resources listed above. Where FHIR v3.0.1 does not support requirements for this project, extensions will be introduced; rationale for extensions are documented in the Appendix.