### <b> Use Case Category: Search Medication Dispense </b>

This describes the use case category for searching for medication dispense information, based on a patient’s Health Card Number (HCN), and optional search criteria. Please note that in the current release, HCN is the only patient identifier supported for searches, but in the future releases, multiple identifier types might be allowed as query parameters, e.g. a consuming system might get all identifiers associated with a patient from the Provincial Client Registry or from a local EMPI and then search DHDR for all dispenses of a patient using these identifiers.

Search Types: Search by HCN

Scenario Details: The User of the client application requests retrieval of medication dispense information, using only the HCN and optional pre-defined search criteria as query parameters.

Message Flow:
<ol>
<li> A “GET” MedicationDispense is sent from the client application to the HIAL, containing query criteria in the URL string.
<li> DHDR (via the HIAL) responds with the search results, in the form of a FHIR Bundle response.
</ol> 

Alternate Flow of Events:
<ol>
<li> Unable to process the request due to a system-related or business-related issue, the HIAL responds with an HTTP status code, and optionally an OperationOutcome resource.
<li> If no MedicationDispense records are found within the default or the specified date range, then the HIAL will return a bundle with zero search results.
<li> Some or all search results are blocked by a patient Consent Directive. The response message will include non-blocked search results, and additionally indicate that that blocked records may be available. See <i>Section 2.3 for</i> handling of Consent Directives and Temporary Consent Unblock.
</ol>