### <B> Use Case Category: Create Temporary Consent Unblock </B>

Scenario Details: The User of the client application requests retrieval of medication dispense information. The response from DHDR indicates additional records are available, but are blocked by the patient’s consent directives. The User obtains permission from the patient or the patient’s substitute decision maker (SDM) to temporarily unblock their record, then prints, completes, and stores the paper form securely for audit. The client application will prompt the User to confirm that permission has been obtained.

Message Flow:
<ol>
<li> A “GET” MedicationDispense is sent from the client application to the HIAL, containing query criteria in the URL string.
<li> The DHDR solution (via the HIAL) responds with a FHIR Bundle response, with zero or more search results. The response indicates records are available, but are blocked by the patient’s consent directives.
<li> The client application generates a Temporary Consent Unblock FHIR message, and sends this to the DHDR solution (via the HIAL).
<li> The DHDR solution (via the HIAL) returns an HTTP success.
<li> The client application resubmits the retrieval of medication dispense information.
</ol>

Alternate Flow of Events:
<ol>
<li> A User tries to access drug information when another user from the same organization had already obtained temporary consent unblock from the patient or SDM within the past four hour time frame. The viewer displays a notification to the user that consent has temporarily been unblock (messaging mechanism to identify MedicationDispense records as “temporarily consent unblocked” being finalized).