<p id="breadcrumb">

[Home](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent) > Profiles and Operations > Structure Definition: OperationOutcome Profile
</p>

## {{ page-title }}

Canonical URL:[`http://ehealthontario.ca/fhir/StructureDefinition/ca-on-medications-profile-OperationOutcome`](OperationOutcome)

Simplifier project page: {{link:OperationOutcome:name}}

Derived from: <a href="https://hl7.org/fhir/r4/OperationOutcome.html" target="_blank">OperationOutcome (R4)</a>

### Formal Views of Profile Content
<a href="https://hl7.org/fhir/r4/profiling.html#representation" target="_blank">Description of Profiles, Differentials, Snapshots and how the different presentations work</a>

{{render:tabs}}

<div id="Differential View" class="tabcontent">
  <h3>Differential View</h3>
  <p>{{tree:ca-on-dhdr-r4/operationoutcome, diff}}</p>
</div>

<div id="Hybrid View" class="tabcontent">
  <h3>Hybrid View</h3>
  <p>{{tree:ca-on-dhdr-r4/operationoutcome, hybrid}}</p>
</div>

<div id="Snapshot View" class="tabcontent">
  <h3>Snapshot View</h3>
  <p>{{tree:ca-on-dhdr-r4/operationoutcome, snapshot}}</p>
</div>

<div id="Table View" class="tabcontent">
  <h3>Table View</h3>
  <p>{{table:ca-on-dhdr-r4/operationoutcome}}</p>
</div>

<div id="JSON View" class="tabcontent">
  <h3>JSON View</h3>
  <p>{{json:ca-on-dhdr-r4/operationoutcome}}</p>
</div>

{{render:script}}

<iframe onload="openTab(event, 'Hybrid View')"  width="1" height="1" style="border: none;">
</iframe>

**Note:** <br>

Operation Outcomes are sets of error, warning and information messages that provide detailed information about the outcome of some attempted system operation. They are provided as a direct system response, or component of one, where they provide information about the outcome of the operation. <br>

OperationOutcomes are used in the following circumstances: <br>

* When an RESTful operation fails
* As the response on a validation operation, to provide information about the outcomes
* As part of a message response, usually when the message has not been processed correctly

<br>
<br>

## Using Operation Outcome Resources 

On the RESTful interface, operation outcome resources are only relevant when a level of computable detail is required that is more granular than that provided by the HTTP response codes. This granularity could include: <br>

* more detail about the location of an issue
* the ability to identify multiple distinct issues
* provision of finer error codes that connect to known business failure states



## Consent Indicator in OperationOutcome

The OperationOutcome resource may be included in the DHDR response bundle, in response to a MedicationDispense search request. This may indicate that MedicationDispense records were not included due to a patient privacy consent directive. The OperationOutcome resource will have the following values:
* severity = warning
* code = suppressed


**OperationOutcome.issue.code ValueSet for a consent directive**

| Code  |Display   |Definition|
|---|---|---|
|suppressed|Information Suppressed|Some information was not or may not have been returned due to business rules, consent or privacy rules, or access permission constraints. This information may be accessible through alternate processes.|

<br>
<br>


## Temporary Consent Unblock Indicator in OperationOutcome
The OperationOutcome resource may be included in the DHDR response bundle, in response to a MedicationDispense search request. This may indicate that there is a patient privacy consent directive, but MedicationDispense records were included due to a patient's temporary unblock directive. The OperationOutcome resource will have the following values:

* severity = informational
* code = information

**OperationOutcome ValueSet.issue.code for a temporaily unblocked consent directive**

| Code  |Display   |Definition|
|---|---|---|
|information|Informational Note|Patient has temporarily unblocked access to view and use dispense information.|

## Reporting Errors in the HTTP Headers 
Server may also need to report errors in the HTTP headers - especially query parameters when processing searches. Errors are reported using a case sensitive location that has two parts, a fixed "http" and the header or query parameter name separated by a ".". Some examples:

**HTTP Header Parameters.**

| Location |Description |
|---|---|
|http.name:exact|A reference to the search parameter "name" with the modifier ":exact"|
|http.Authorization|A reference to the Authorization header - perhaps to indicate that it is missing, and some form of authentication is required.|
