<p id="breadcrumb">

[Home](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent) > Terminology > Terminology

</p>

This section lists the coded value sets that are referenced by the FHIR profiles in this implementation guide. These coded values are used to describe and standardize clinical concepts and other data content within health records.

`** Please note that access and use of SNOMED CT subsets on Canada Health Infoway Terminology Gateway requires an Infoway account with acceptance of the SNOMED CT license agreements.`

*Value Sets referenced by this implementation guide:*

# Terminology

Various coded values which are used to describe clinical concepts within health records as well as codes used within messages to meet the structural requirements of interfaces.

**Value Sets defined by this implementation guide:**


|Value Set|Description|Profiles|Binding Strength
|-
|<a href="http://hl7.org/fhir/ValueSet/administrative-gender|4.0.0" target="_blank">AdministrativeGender</a>|The gender of a person used for administrative purposes.|[<B>Patient:</B> Patient.gender](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionPatientProfile.guide.md)|Required
|<a href="http://hl7.org/fhir/ValueSet/contact-point-use|4.0.0" target="_blank">ContactPointUse</a>|Use of contact point.|[<B>PractitionerPrescriber: </B>PractitionerPrescriber.telecom.telecomPhone.use](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionPractitionerPrescriberProfile-duplicate-2.guide.md)[<BR><B>PractitionerPrescriber: </B>PractitionerPrescriber.telecom.telecomFax.use](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionPractitionerPrescriberProfile-duplicate-2.guide.md)[<BR><B>Organization(DispensingPharmacy): </B><BR>Organization.telecom.telecomPhone.use](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionOrganizationDispensingPharmacyProfile.guide.md)[<BR><B>Organization(DispensingPharmacy): </B>Organization.telecom.telecomFax.use](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionOrganizationDispensingPharmacyProfile.guide.md)|Required
|<a href="https://tgateway.infoway-inforoute.ca/vs/drugclassification" target="_blank">DrugClassification `**`</a>|A code to identify the classification of a drug.|[<B>Medication: </B>Medication.code.coding.drugClass.code](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionMedicationProfile.guide.md)|Required
|<a href="https://tgateway.infoway-inforoute.ca/vs/drugsubclassification" target="_blank">DrugSubClassification `**`</a>|A code to identify the sub-classification of a drug.|[<B>Medication: </B>Medication.code.coding.drugSubclass.code](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionMedicationProfile.guide.md)|Required
|<a href="https://tgateway.infoway-inforoute.ca/vs/medicationdispensecategory" target="_blank">MedicationDispenseCategory`**`</a>|Dispense type, e.g. drug, device or pharmacy service. A reference to a code defined by a terminology system.|[<B>MedicationDispense: </B>MedicationDispense.category.coding](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionMedicationDispenseProfile.guide.md)|Required
|<a href="http://hl7.org/fhir/ValueSet/medicationdispense-status" target="_blank">MedicationDispenseStatus</a>|A code specifying the state of the dispense event.|[<B>MedicationDispense: </B>MedicationDispense.status](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionMedicationDispenseProfile.guide.md)|Required
|<a href="https://tgateway.infoway-inforoute.ca/vs/prescriptiondosequantityunit" target="_blank">PrescriptionDoseQuantityUnit`**`</a>|Units of measure and/or products that convey the amount of drug to be given to a patient in one dose.|[<B>MedicationDispense:</B><BR>MedicationDispense.dosageInstruction.doseAndRate.dose.doseQuantity.code](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionMedicationDispenseProfile.guide.md)|Required 
|<a href="https://tgateway.infoway-inforoute.ca/vs/prescriptiondrugform" target="_blank">PrescriptionDrugForm`**`</a>|The form in which a compounded drug or active ingredient can be dispensed to the patient.|[<B>Medication: </B>Medication.form.coding](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionMedicationProfile.guide.md)|Required
|<a href="https://tgateway.infoway-inforoute.ca/vs/prescriptionodbreasonforuse" target="_blank">PrescriptionODBReasonForUse`**`</a>|A code to identify the reason or indication for writing the prescription.|[<B>MedicationRequest(Prescription): </B>MedicationRequest.reasonCode.coding](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionMedicationRequestPrescriptionProfile.guide.md)|Required 
|<a href="https://tgateway.infoway-inforoute.ca/vs/prescribedquantityunit" target="_blank">PrescriptionQuantityUnit`**`</a>|Units of measure and/or products that convey the amount of drug being prescribed to a patient.|[<B>MedicationDispense: </B>MedicationDispense.quantity.code](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionMedicationDispenseProfile.guide.md)|Required
|<a href="https://terminology.hl7.org/CodeSystem/v3-RouteOfAdministration" target="_blank">RouteofAdministration</a>|The path the administered medication takes to get into the body or into contact with the body.|[<B>MedicationDispense: </B>MedicationDispense.dosageInstruction.route.coding](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionMedicationDispenseProfile.guide.md)|Required
|<a href="http://hl7.org/fhir/ValueSet/units-of-time|4.0.0" target="_blank">UnitsOfTime</a>|The units of time for the period in UCUM units.|[<B>MedicationDispense: </B>MedicationDispense.dosageInstruction.timing.repeat.periodUnit](https://simplifier.net/guide/DigitalHealthDrugRepositoryHL7FHIRPointofCareSystemsAccessImplem/TableofContent/ProfilesandOperations/StructureDefinitionMedicationDispenseProfile.guide.md)|Required
